package com.kunlun.rule;

import com.kunlun.rule.SendConfigUtils;
import java.io.BufferedReader;
import java.io.DataOutputStream;
import java.io.File;
import java.io.FileReader;
import java.io.FileWriter;
import java.io.IOException;
import java.io.InputStream;
import java.net.HttpURLConnection;
import java.net.URL;

public class ApplicationMaster {

   public static void main(String[] args) throws IOException {
      File directory = new File(SendConfigUtils.getInPath());
      File[] files = directory.listFiles();
      if(directory.exists() && directory.isDirectory()) {
         long begin = System.currentTimeMillis();
         File[] var5 = files;
         int var6 = files.length;

         for(int var7 = 0; var7 < var6; ++var7) {
            File file = var5[var7];
            if(file.isFile()) {
               String outPutPath = SendConfigUtils.getOutPath() + "OUT_" + file.getName();
               BufferedReader reader = new BufferedReader(new FileReader(file));
               String line = null;
               FileWriter fileWriter = new FileWriter(outPutPath);

               while((line = reader.readLine()) != null) {
                  String result = snedPost(SendConfigUtils.getUrl(), line, "UTF-8");
                  System.out.println(result);
                  fileWriter.write(result + "\n");
               }

               System.out.println(System.currentTimeMillis() - begin);
               reader.close();
               fileWriter.close();
               System.out.println("===============" + file.delete());
            }
         }

         System.out.println(System.currentTimeMillis() - begin);
      } else {
         System.out.println("Directory does not exist or is not a directory.");
      }

   }

   public static String snedPost(String url, String content, String charset) {
      try {
         URL e = new URL(url);
         HttpURLConnection conn = (HttpURLConnection)e.openConnection();
         conn.setRequestMethod("POST");
         conn.setRequestProperty("Content-Type", "application/json");
         conn.setDoOutput(true);
         conn.connect();
         DataOutputStream dos = new DataOutputStream(conn.getOutputStream());
         dos.write(content.getBytes(charset));
         dos.flush();
         dos.close();
         InputStream is = conn.getInputStream();
         StringBuilder ret = new StringBuilder();
         if(is != null) {
            byte[] buff = new byte[1024];
            boolean len = false;

            int len1;
            while((len1 = is.read(buff)) != -1) {
               ret.append(new String(buff, 0, len1, "utf-8"));
            }
         }

         return ret.toString();
      } catch (Exception var10) {
         var10.printStackTrace();
         return null;
      }
   }
}
